# Gnome::GdaUI::DataFilter Class Reference

DataFilter - Entrer rules to filter the rows in a DataProxy. More...

Inherits Gtk::VBox.

Collaboration diagram for Gnome::GdaUI::DataFilter:
[legend]

List of all members.

## Public Member Functions

virtual | ~DataFilter ()
GdauiDataFilter* | gobj ()
| Provides access to the underlying C GtkObject.
const GdauiDataFilter* | gobj () const
| Provides access to the underlying C GtkObject.
| DataFilter (const Glib::RefPtr< DataProxy >& data_widget)
| Creates a new Gdaui::DataFilter widget suitable to change the filter expression for data_widget's displayed rows.
Glib::PropertyProxy < Glib::RefPtr< DataProxy > > | property_data_widget ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< DataProxy > > | property_data_widget () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.

## Related Functions

(Note that these are not member functions.)
Gnome::GdaUI::DataFilter* | wrap (GdauiDataFilter* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

DataFilter - Entrer rules to filter the rows in a DataProxy.

The DataFilter widget can be used as a standalone widget, but is also used internally by the DataProxyInfo widget for its search option.

## Constructor & Destructor Documentation

virtual Gnome::GdaUI::DataFilter::~DataFilter | ( |  | ) | `[virtual]`

Gnome::GdaUI::DataFilter::DataFilter | ( | const Glib::RefPtr< DataProxy >& | data_widget | ) | `[explicit]`

Creates a new Gdaui::DataFilter widget suitable to change the filter expression for data_widget's displayed rows.

Parameters:

  | data_widget | A widget implementing the Gdaui::DataProxy interface.

Returns:
  The new widget

Since libgda-uimm 4.2:

## Member Function Documentation

const GdauiDataFilter* Gnome::GdaUI::DataFilter::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::VBox.

GdauiDataFilter* Gnome::GdaUI::DataFilter::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::VBox.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<DataProxy> > Gnome::GdaUI::DataFilter::property_data_widget | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::RefPtr<DataProxy> > Gnome::GdaUI::DataFilter::property_data_widget | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Gnome::GdaUI::DataFilter* wrap | ( | GdauiDataFilter * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- libgda-uimm/datafilter.h